﻿@model AEWeb.ViewModels.User.ApplicationUserListViewModel
@using Microsoft.AspNetCore.Mvc.Localization
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
    ViewBag.Title = "List of users";
}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>@Localizer["PageTitle"]</h2>
        <small>@Localizer["PageDescription"]</small>
    </div>
    <div class="col-lg-2">

    </div>
</div>

<div class="wrapper wrapper-content">
    <div class="row">
        <div class="col-lg-12">
            
            <div class="ibox">
                <div class="ibox-title">
                    <a asp-action="Edit" asp-route-id="" class="btn btn-default btn-sm">Create user</a>                    
                </div>
                <div class="ibox-content">
                    <div class="table-responsive">
                        <div id="DataTables_Table_0_wrapper" class="dataTables_wrapper container-fluid dt-bootstrap4">
                            
                            
                            <div class="dataTables_info" id="DataTables_Table_0_info" role="status"
                                 aria-live="polite">
                                 @Model.MessageNumberEntries
                            </div>

                            <table class="table table-striped table-bordered table-hover dataTables-example">
                                <thead>
                                    <tr>
                                        <th>
                                            @Localizer["EditLbl"]
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Users[0].Active)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Users[0].Unlock)
                                        </th>
                                        <th>
                                            @Localizer["PasswordResetLbl"]
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Users[0].FirstName)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Users[0].LastName)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Users[0].Username)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Users[0].Email)
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (Model.Users.Count > 0)
                                    {
                                        foreach (var item in Model.Users)
                                        {
                                    <tr>
                                        <td align="center">
                                            <a href="/User/Edit/@item.Id"><i class="fa fa-edit"></i> </a>
                                        </td>
                                        <td align="center">                                            
                                            @if (item.Active)
                                            {
                                                <a href="/User/Active/@item.Id"><i class="fa fa-user-circle" style="color:limegreen"></i></a>
                                            }
                                            else
                                            {
                                                <a href="/User/Active/@item.Id"><i class="fa fa-user-circle" style="color:red"></i></a>
                                            }
                                        </td>
                                        <td  align="center">
                                            @if (item.Unlock)
                                            {
                                                <a href="/User/Unlock/@item.Id"><i class="fa fa-lock" style="color:red"></i></a>
                                            }
                                            else
                                            {
                                                <i class="fa fa-unlock" style="color:limegreen"></i>
                                            }
                                        </td>
                                        <td align="center">
                                            @if (item.NewUserPassword == null)
                                            {
                                                <a href="/User/ResetPassword/@item.Id"><i class="fa fa-refresh" style="color:dodgerblue"></i></a>
                                            }
                                            else
                                            {
                                                <input readonly="readonly" class="form-control" value="@item.NewUserPassword.NewPassword" />
                                            }
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.FirstName)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.LastName)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.Username)
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.Email)
                                        </td>
                                    </tr>
                                        }
                                    }
                                    else
                                    {
                                        <tr>
                                            <td colspan="5" class="text-center">
                                                No users found
                                            </td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>